
#if (GTK_MAJOR_VERSION>=3) || (GTK_MAJOR_VERSION==2 && GTK_MINOR_VERSION>=90)
#  define GTK_3		1
#else
#  define GTK_3		0
#endif


#if (GTK_3)
#  define gtk_signal_connect(...)	g_signal_connect(__VA_ARGS__)
#  define GTK_OBJECT(...)		G_OBJECT(__VA_ARGS__)
#  define GTK_SIGNAL_FUNC(...)		G_CALLBACK(__VA_ARGS__)
#  define AGTK_SIG_REDRAW		"draw"
#else
#  define AGTK_SIG_REDRAW		"expose-event"
#endif


#if ((GTK_MAJOR_VERSION==2) && (GTK_MINOR_VERSION<14))

GdkWindow * gtk_widget_get_window (GtkWidget * widget)
{
  return widget->window;
}

#endif


#if ((GTK_MAJOR_VERSION==2) && (GTK_MINOR_VERSION<18))

void gtk_widget_get_allocation (GtkWidget * widget, GtkAllocation * allocation)
{
  *allocation= widget->allocation;
}

#endif

