#!/bin/sh

# (re-)generate gnu-autotool-stuff so it also works for mingw crosscompile

aclocal

automake -a
# when linking, mingw-gcc wants the object-files prior to the libraries
patch <<EOT
--- Makefile.in-orig	2013-11-25 20:37:01.000000000 +0100
+++ Makefile.in	2013-11-25 20:37:01.000000000 +0100
@@ -116,12 +116,12 @@
 am__v_lt_0 = --silent
 libvuc_la_LINK = \$(LIBTOOL) \$(AM_V_lt) --tag=CC \$(AM_LIBTOOLFLAGS) \\
-	\$(LIBTOOLFLAGS) --mode=link \$(CCLD) \$(libvuc_la_CFLAGS) \\
-	\$(CFLAGS) \$(libvuc_la_LDFLAGS) \$(LDFLAGS) -o \$@
+	\$(LIBTOOLFLAGS) --mode=link \$(CCLD) -o \$@ \$(libvuc_la_OBJECTS) \\
+	\$(libvuc_la_CFLAGS) \$(CFLAGS) \$(libvuc_la_LDFLAGS) \$(LDFLAGS)
 PROGRAMS = \$(bin_PROGRAMS)
 am_demo_OBJECTS = demo-demo.\$(OBJEXT)
 demo_OBJECTS = \$(am_demo_OBJECTS)
 demo_LINK = \$(LIBTOOL) \$(AM_V_lt) --tag=CC \$(AM_LIBTOOLFLAGS) \\
-	\$(LIBTOOLFLAGS) --mode=link \$(CCLD) \$(demo_CFLAGS) \$(CFLAGS) \\
-	\$(demo_LDFLAGS) \$(LDFLAGS) -o \$@
+	\$(LIBTOOLFLAGS) --mode=link \$(CCLD) -o \$@ \$(demo_OBJECTS) \\
+	\$(demo_CFLAGS) \$(CFLAGS) \$(demo_LDFLAGS) \$(LDFLAGS)
 am_udproxy_OBJECTS = udproxy-udproxy.\$(OBJEXT) \\
 	udproxy-eia-232.\$(OBJEXT)
@@ -492,5 +492,5 @@
 	done
 libvuc.la: \$(libvuc_la_OBJECTS) \$(libvuc_la_DEPENDENCIES) \$(EXTRA_libvuc_la_DEPENDENCIES) 
-	\$(AM_V_CCLD)\$(libvuc_la_LINK) -rpath \$(libdir) \$(libvuc_la_OBJECTS) \$(libvuc_la_LIBADD) \$(LIBS)
+	\$(AM_V_CCLD)\$(libvuc_la_LINK) -rpath \$(libdir) \$(libvuc_la_LIBADD) \$(LIBS)
 install-binPROGRAMS: \$(bin_PROGRAMS)
 	@\$(NORMAL_INSTALL)
@@ -538,5 +538,5 @@
 demo\$(EXEEXT): \$(demo_OBJECTS) \$(demo_DEPENDENCIES) \$(EXTRA_demo_DEPENDENCIES) 
 	@rm -f demo\$(EXEEXT)
-	\$(AM_V_CCLD)\$(demo_LINK) \$(demo_OBJECTS) \$(demo_LDADD) \$(LIBS)
+	\$(AM_V_CCLD)\$(demo_LINK) \$(demo_LDADD) \$(LIBS)
 udproxy\$(EXEEXT): \$(udproxy_OBJECTS) \$(udproxy_DEPENDENCIES) \$(EXTRA_udproxy_DEPENDENCIES) 
 	@rm -f udproxy\$(EXEEXT)
EOT

autoconf
